// 
// Module: ArfTableIterator.h
// Author: Hassan Siddiqui
//
// Description: 
// ARF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: ArfTableIterator.h,v 1.13 2000/03/28 12:41:38 hsiddiqu Exp $

#ifndef ArfTableIterator_H
#define ArfTableIterator_H


/* General */
#include <iostream>

/* SAS-specific */
#include "Dal.h"
#include "FileLocator.h"

/* Utility classes */
#include "Tracer.h"

/* Local classes */

class ArfTableIterator //: public SubTableProcessor
{

public:

  /** Constructors */
  ArfTableIterator();

  /** Destructors */
  ~ArfTableIterator();

  /* Initialise table */
  void table( Table * );

  void setupTable( Table * table );

  /** Subtable Iteration */

//   void proc(SubTable& );

  void processEntireTable(Table * table);

private:


  Column * _elowCol;
  Column * _ehighCol;
  Column * _prodCol;
};

#endif
