//
// Module: BadPixPSFCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: BadPixPSFCorrector.h,v 1.6 2000/08/07 13:47:42 hsiddiqu Exp $

#ifndef BadPixPSFCorrector_H
#define BadPixPSFCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "PixelIterator.h"
#include "PsfModel.h"
#include "DetmapFilter.h"
#include "MissingPixCorrector.h"

class BadPixPSFCorrector : public MissingPixCorrector
{
public:

  /* Constructor */
  BadPixPSFCorrector(const string & table, unsigned eefactor, 
                      PsfModel * psf, unsigned int ccdid); 
                                  

  /* Destructor */
  ~BadPixPSFCorrector();

  /* Method for filtering the map */
  void filterMap();

  int totalPixels() const;

private:

  DetmapFilter * _detmapfilter;
  PixelIterator * _pxitr;
  PixelIterator * _ctpxitr;
  PsfModel * _psf;
  const string _table;
  unsigned int _ccdid;

  double eeFraction( double energy ) const;

};

#endif
