// 
// Module: CalMOSCoreData
// Author: Hassan Siddiqui
//
// Description: Cal MOS Instrument-specific data/methods for arf generation.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: CalMOSCoreData.h,v 1.28 2000/10/20 17:40:23 hsiddiqu Exp $

#ifndef CalMOSCoreData_H
#define CalMOSCoreData_H

/* General */

/* SAS-specific classes */

/* Local classes */
#include "CalCoreData.h"

class CalMOSCoreData : public CalCoreData
{
public:

  /** Constructors  */
  CalMOSCoreData( Xmm::Instrument instrumentID,
		  const string & datamode,
		  const string & dateobs,
		  const PosWCS * const poswcs,
		  const string & filter,
		  double psfenergy);

  /**  Destructors  */
  ~CalMOSCoreData();

  /** Iterator methods. */
  unsigned int ccdFirst() const;
  unsigned int ccdLast()  const;

  GeneralIterator<int> * xpixelIterator() const;
  GeneralIterator<int> * ypixelIterator() const;

private:

  /** Members */

  const EMOScam _emosCam; // Contains camera layout information.

};
#endif
