// 
// Module: CalPNCoreData
// Author: Hassan Siddiqui
//
// Description: Cal PN Instrument-specific data/methods for arf generation.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: CalPNCoreData.h,v 1.11 2000/10/20 17:40:23 hsiddiqu Exp $

#ifndef CalPNCoreData_H
#define CalPNCoreData_H

/* General */

/* SAS-specific classes */

/* Local classes */
#include "CalCoreData.h"

class CalPNCoreData : public CalCoreData
{
public:

  /** Constructors  */
  CalPNCoreData( Xmm::Instrument instrumentID,
		 const string & datamode,
		 const string & dateobs,
		 const PosWCS * const poswcs,
		 const string & filterm,
		 double psfenergy);

  /**  Destructors  */
  ~CalPNCoreData();


  /** Iterator methods. */

  unsigned int ccdFirst() const;
  unsigned int ccdLast()  const;

  GeneralIterator<int> * xpixelIterator() const;
  GeneralIterator<int> * ypixelIterator() const;


private:

  /** Members */

  const EPNcam _ePNCam; // Contains camera layout information.
};
#endif
