// 
// Module: DetectorPosition
// Author: Hassan Siddiqui
//
// Description: 
// Describes a position across a CCD detector, in terms of the CCD ID,
// and the position in that CCD.
//  
// Modifications: See ChangeLog
// 
// $Id: DetectorPosition.cc,v 1.1 1999/12/17 15:36:21 hsiddiqu Exp $

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions
#include "errstr.h"
#include "Tracer.h"

// Local classes
#include "DetectorPosition.h"

// Insertor for DetectorPosition
ostream &operator << (ostream &stream, const DetectorPosition o)
{
  PROC;

  stream << " ccdid "     << o.ccdid()
	 << " rawx "     << o.rawx()
	 << " rawy " << o.rawy();
	
  RETURN stream;
}
