// 
// Module: DetmapFilter
// Author: Hassan Siddiqui
//
// Description: 
//
// Given an input detmap, this class generates 
// a new PixelIterator for those pixels
// that are bounded by the specified region expression.
//
// Modifications: See ChangeLog
// 
// $Id: DetmapFilter.h,v 1.2 2000/11/10 12:52:18 hsiddiqu Exp $

#ifndef DetmapFilter_H
#define DetmapFilter_H

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions

// Local classes
#include "PixelIterator.h"

class DetmapFilter
{
public:

  /* Constructor */
  DetmapFilter();

  /* Destructor */
  ~DetmapFilter();

  /* Accessors */
  PixelIterator * const filteredMap(PixelIterator * const detmap);
  PixelIterator * const filteredMap(PixelIterator * const detmap, 
                             const string & rawtablename, bool insitu);

private:

  bool _init;

  DataSet * _filteredset;
  DataSet * set;
  
  PixelIterator *  _t;

};

#endif
