//
// Module: NullEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Null implementation of an Encircled Energy Corrector class
// Returns a set of unity correction factors
//
// Modifications: See ChangeLog
// 
// $Id: NullEeCorrector.cc,v 1.5 2000/10/20 17:40:24 hsiddiqu Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "NullEeCorrector.h"

/* Constructor */
NullEeCorrector::NullEeCorrector()
{
  PROC;
  ENDPROC;
}

/* Destructor */
NullEeCorrector::~NullEeCorrector()
{
  PROC;
  ENDPROC;
}

vector<double> 
NullEeCorrector::Fraction( const vector<double>& energyvector ) const
{
  PROC;

  vector<double> factors;

  for (unsigned i = 0; i < energyvector.size(); ++i)
    {
     factors.push_back(1.0);
    }

  RETURN factors;
}
