// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: PsfmodelPixelIterator
// Author: Hassan Siddiqui
//
// Description: 
//
// A detector map representation of a model PSF.
//
// Modifications: See ChangeLog
// 
// $Id: PsfmodelPixelIterator.h,v 1.5 2000/12/19 14:00:15 hsiddiqu Exp $

#ifndef PsfmodelPixelITERATOR_H
#define PsfmodelPixelITERATOR_H

/* General classes */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"
#include "WCSConvertor.h"
#include "PixelElement.h"
#include "RegionExtent.h"

class PsfmodelPixelIterator : public PixelIterator
{
public:

  /* Constructors */
  PsfmodelPixelIterator( double xmin,
			 double xmax,
			 unsigned xbins,
			 double ymin,
			 double ymax,
			 unsigned ybins);


  /* Destructors */
  ~PsfmodelPixelIterator();

  /* Iterator methods */
  void   first();
  void   next ();
  bool   isDone();
  PixelElement currentItem();

  /* Size methods */
  unsigned    size()     const;
  unsigned    xbins()     const;

  /* WCSConvertor object */
  const WCSConvertor * wcsconvertor() const;

private:
  bool _firstcalled;

  long _index;
  long _xindex;
  long _yindex;
  long _xbins;
  long _size;

  WCSConvertor * _wcsconv;

};

#endif
